using UnityEngine;
using System.Collections;

public class CamScript : MonoBehaviour 
{
	const float lookSpeed = 3.0f;
	const float moveSpeed = 0.3f;

	float rotationX = 0.0f;
	float rotationY = 0.0f;

	// -----------------------------------------------------------------------
	void Start ()
	// -----------------------------------------------------------------------
	{
		Debug.Log("SystemInfo.supportsInstancing: " + SystemInfo.supportsInstancing.ToString());
		Debug.Log("SystemInfo.supportsComputeShaders: " + SystemInfo.supportsComputeShaders.ToString()); 
	}
	
	// -----------------------------------------------------------------------
	void Update () 
	// -----------------------------------------------------------------------
	{
		rotationX += Input.GetAxis("Mouse X")*lookSpeed;
		rotationY += Input.GetAxis("Mouse Y")*lookSpeed;
		rotationY = Mathf.Clamp (rotationY, -90, 90);
	 
		transform.localRotation  = Quaternion.AngleAxis(rotationX, Vector3.up);
		transform.localRotation *= Quaternion.AngleAxis(rotationY, Vector3.left);
	 
		transform.position += transform.forward * moveSpeed * Input.GetAxis("Vertical");
		transform.position += transform.right   * moveSpeed * Input.GetAxis("Horizontal");
	
	}
}
